<?php
// {{{ICINGA_LICENSE_HEADER}}}
// {{{ICINGA_LICENSE_HEADER}}}

use Icinga\Module\Monitoring\Controller as MonitoringController;
use Icinga\Module\Monitoring\DataView\StatusSummary;

class Monitoring_TacticalController extends MonitoringController
{
    public function indexAction()
    {
        $this->view->statusSummary = StatusSummary::fromRequest(
            $this->_request,
            array(
                'hosts_up',
                'hosts_up_not_checked',
                'hosts_pending',
                'hosts_pending_not_checked',
                'hosts_down',
                'hosts_down_handled',
                'hosts_down_unhandled',
                'hosts_down_handled_active',
                'hosts_down_handled_passive',
                'hosts_down_handled_not_checked',
                'hosts_down_unhandled_active',
                'hosts_down_unhandled_passive',
                'hosts_down_unhandled_not_checked',
                'hosts_unreachable',
                'hosts_unreachable_handled',
                'hosts_unreachable_unhandled',
                'hosts_unreachable_handled_active',
                'hosts_unreachable_handled_passive',
                'hosts_unreachable_handled_not_checked',
                'hosts_unreachable_unhandled_active',
                'hosts_unreachable_unhandled_passive',
                'hosts_unreachable_unhandled_not_checked',

                'services_ok_on_up_hosts',
                'services_ok_not_checked_on_up_hosts',
                'services_pending_on_up_hosts',
                'services_pending_not_checked_on_up_hosts',
                'services_warning_handled_active_on_up_hosts',
                'services_warning_handled_passive_on_up_hosts',
                'services_warning_handled_not_checked_on_up_hosts',
                'services_warning_unhandled_active_on_up_hosts',
                'services_warning_unhandled_passive_on_up_hosts',
                'services_warning_unhandled_not_checked_on_up_hosts',
                'services_critical_handled_active_on_up_hosts',
                'services_critical_handled_passive_on_up_hosts',
                'services_critical_handled_not_checked_on_up_hosts',
                'services_critical_unhandled_active_on_up_hosts',
                'services_critical_unhandled_passive_on_up_hosts',
                'services_critical_unhandled_not_checked_on_up_hosts',
                'services_unknown_handled_active_on_up_hosts',
                'services_unknown_handled_passive_on_up_hosts',
                'services_unknown_handled_not_checked_on_up_hosts',
                'services_unknown_unhandled_active_on_up_hosts',
                'services_unknown_unhandled_passive_on_up_hosts',
                'services_unknown_unhandled_not_checked_on_up_hosts',
                'services_ok_on_down_hosts',
                'services_ok_not_checked_on_down_hosts',
                'services_pending_on_down_hosts',
                'services_pending_not_checked_on_down_hosts',
                'services_warning_handled_active_on_down_hosts',
                'services_warning_handled_passive_on_down_hosts',
                'services_warning_handled_not_checked_on_down_hosts',
                'services_warning_unhandled_active_on_down_hosts',
                'services_warning_unhandled_passive_on_down_hosts',
                'services_warning_unhandled_not_checked_on_down_hosts',
                'services_critical_handled_active_on_down_hosts',
                'services_critical_handled_passive_on_down_hosts',
                'services_critical_handled_not_checked_on_down_hosts',
                'services_critical_unhandled_active_on_down_hosts',
                'services_critical_unhandled_passive_on_down_hosts',
                'services_critical_unhandled_not_checked_on_down_hosts',
                'services_unknown_handled_active_on_down_hosts',
                'services_unknown_handled_passive_on_down_hosts',
                'services_unknown_handled_not_checked_on_down_hosts',
                'services_unknown_unhandled_active_on_down_hosts',
                'services_unknown_unhandled_passive_on_down_hosts',
                'services_unknown_unhandled_not_checked_on_down_hosts',
                'services_ok_on_unreachable_hosts',
                'services_ok_not_checked_on_unreachable_hosts',
                'services_pending_on_unreachable_hosts',
                'services_pending_not_checked_on_unreachable_hosts',
                'services_warning_handled_active_on_unreachable_hosts',
                'services_warning_handled_passive_on_unreachable_hosts',
                'services_warning_handled_not_checked_on_unreachable_hosts',
                'services_warning_unhandled_active_on_unreachable_hosts',
                'services_warning_unhandled_passive_on_unreachable_hosts',
                'services_warning_unhandled_not_checked_on_unreachable_hosts',
                'services_critical_handled_active_on_unreachable_hosts',
                'services_critical_handled_passive_on_unreachable_hosts',
                'services_critical_handled_not_checked_on_unreachable_hosts',
                'services_critical_unhandled_active_on_unreachable_hosts',
                'services_critical_unhandled_passive_on_unreachable_hosts',
                'services_critical_unhandled_not_checked_on_unreachable_hosts',
                'services_unknown_handled_active_on_unreachable_hosts',
                'services_unknown_handled_passive_on_unreachable_hosts',
                'services_unknown_handled_not_checked_on_unreachable_hosts',
                'services_unknown_unhandled_active_on_unreachable_hosts',
                'services_unknown_unhandled_passive_on_unreachable_hosts',
                'services_unknown_unhandled_not_checked_on_unreachable_hosts',
                'services_ok_on_pending_hosts',
                'services_ok_not_checked_on_pending_hosts',
                'services_pending_on_pending_hosts',
                'services_pending_not_checked_on_pending_hosts',
                'services_warning_handled_active_on_pending_hosts',
                'services_warning_handled_passive_on_pending_hosts',
                'services_warning_handled_not_checked_on_pending_hosts',
                'services_warning_unhandled_active_on_pending_hosts',
                'services_warning_unhandled_passive_on_pending_hosts',
                'services_warning_unhandled_not_checked_on_pending_hosts',
                'services_critical_handled_active_on_pending_hosts',
                'services_critical_handled_passive_on_pending_hosts',
                'services_critical_handled_not_checked_on_pending_hosts',
                'services_critical_unhandled_active_on_pending_hosts',
                'services_critical_unhandled_passive_on_pending_hosts',
                'services_critical_unhandled_not_checked_on_pending_hosts',
                'services_unknown_handled_active_on_pending_hosts',
                'services_unknown_handled_passive_on_pending_hosts',
                'services_unknown_handled_not_checked_on_pending_hosts',
                'services_unknown_unhandled_active_on_pending_hosts',
                'services_unknown_unhandled_passive_on_pending_hosts',
                'services_unknown_unhandled_not_checked_on_pending_hosts',

                'hosts_active',
                'hosts_passive',
                'hosts_not_checked',
                'services_active',
                'services_passive',
                'services_not_checked',
                'hosts_processing_event_handlers',
                'services_processing_event_handlers',
                'hosts_triggering_notifications',
                'services_triggering_notifications',
                'hosts_with_flap_detection',
                'services_with_flap_detection',
                'hosts_flapping',
                'services_flapping'
            )
        )->getQuery()->fetchRow();
    }
}
